#
# spec file for package gnome-system-monitor
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-system-monitor
Version:        3.10.0
Release:        0
Url:            http://www.gnome.org
Summary:        A Simple Process Monitor
License:        GPL-2.0+
Group:          System/GUI/GNOME
Source0:        http://download.gnome.org/sources/gnome-system-monitor/3.10/%{name}-%{version}.tar.xz
BuildRequires:  dbus-1-glib-devel
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  gnome-icon-theme-devel
BuildRequires:  intltool
BuildRequires:  libgtop-devel >= 2.28.2
BuildRequires:  librsvg-devel >= 2.35
BuildRequires:  libxml2-devel
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gtkmm-3.0) >= 3.3.18
%if 0%{?suse_version} >= 1220
BuildRequires:  pkgconfig(libsystemd-login) >= 44
%endif
BuildRequires:  pkgconfig(libwnck-3.0) >= 2.91.0
Requires:       gnome-icon-theme
Requires:       lsb-release
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
GNOME-system-monitor is a simple process and system monitor for the
GNOME Desktop.

%lang_package
%prep
%setup -q
translation-update-upstream

%build
%configure \
    --disable-scrollkeeper
%__make %{?jobs:-j%jobs} V=1

%install
%makeinstall
# Icon is installed in GNOME-only path:
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/gnome/32x32/apps/utilities-system-monitor.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/
echo DocPath=gnome-system-monitor >> $RPM_BUILD_ROOT%{_datadir}/applications/gnome-system-monitor.desktop
%suse_update_desktop_file %{name}
%suse_update_desktop_file %{name}-kde
%find_lang %{name} %{?no_lang_C}
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%desktop_database_post
%glib2_gsettings_schema_post

%postun
%desktop_database_postun
%glib2_gsettings_schema_postun

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%doc %{_datadir}/help/C/%{name}/
%{_bindir}/gnome-system-monitor
%dir %{_datadir}/appdata
%{_datadir}/appdata/gnome-system-monitor.appdata.xml
%{_datadir}/applications/gnome-system-monitor.desktop
%{_datadir}/applications/gnome-system-monitor-kde.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-system-monitor.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-system-monitor.gschema.xml
%{_datadir}/pixmaps/utilities-system-monitor.png
%{_datadir}/polkit-1/actions/org.gnome.gnome-system-monitor.policy
%dir %{_libexecdir}/%{name}/
%{_libexecdir}/%{name}/gsm-kill
%{_libexecdir}/%{name}/gsm-renice

%files lang -f %{name}.lang

%changelog
